geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Jencks <david_jen...@yahoo.com>
Subject Re: package javax.resource.spi.security does not exist
Date Mon, 12 Jan 2009 09:39:17 GMT

On Jan 11, 2009, at 8:53 PM, axiez wrote:

>
> I added the following dependency to pom.xml:
>    <dependency>
>
> <uri>org/apache/geronimo/specs/geronimo-ejb_3.0_spec/1.0.1/geronimo- 
> ejb_3.0_spec-1.0.1.jar</uri>
>    </dependency>
> Error message when I tried to compile it:
> Parse error reading POM. Unrecognized tag: 'uri

that's not legal xml for maven.  What I do is copy the dependency I  
want from the dependencyManagement section where the version is  
specified and remove the line with the version.  For more info on  
maven I recommend the sonatype book:

http://books.sonatype.com/maven-book/reference/public-book.html

but you shouldn't need to read it to make a simple build work.

david jencks


>
>
> djencks wrote:
>>
>>
>> On Jan 11, 2009, at 9:59 AM, axiez wrote:
>>
>>>
>>> It worked. How do I know the version of dependency geronimo-
>>> ejb_3.0_spec?
>>> Following entry in pom.xml generated compilation error
>>> <dependency>
>>>     <groupId>org.apache.geronimo.specs</groupId>
>>>     <artifactId>geronimo-ejb_3.0_spec</artifactId>
>>>     <scope>provided</scope>
>>> </dependency>
>>> Where can I find this type of information for each package?
>>
>> One easy way is to import the geronimo root pom:
>>
>> <dependency>
>>     <groupId>org.apache.geronimo</groupId>
>>     <artifactId>geronimo</artifactId>
>>     <version>2.1.3</version>
>>     <type>pom</type>
>>     <scope>import</scope>
>> </dependency>
>>
>> (I think this is the correct syntax but haven't checked that exactly
>> this snippet works)
>>
>> Then the dependencyManagement section of the geronimo pom will supply
>> versions for all the jars used in geronimo when you use them in your
>> app.
>>
>> david jencks
>>
>>
>>>
>>>
>>> axiez wrote:
>>>>
>>>> I am trying to compile PasswordLoginModule.java but getting
>>>> compilation
>>>> error that says "package javax.resource.spi.security does not  
>>>> exist".
>>>>
>>>
>>> -- 
>>> View this message in context:
>>> http://www.nabble.com/package-javax.resource.spi.security-does-not-exist-tp21386911s134p21402034.html
>>> Sent from the Apache Geronimo - Users mailing list archive at
>>> Nabble.com.
>>>
>>
>>
>>
>
> -- 
> View this message in context: http://www.nabble.com/package-javax.resource.spi.security-does-not-exist-tp21386911s134p21408492.html
> Sent from the Apache Geronimo - Users mailing list archive at  
> Nabble.com.
>


Mime
View raw message